Go to the first, previous, next, last section, table of contents.

### `set_field`

`set_field(rootlist)`
  :: Set an algebraic number field as the currernt ground field.

return
  0
rootlist
  A list of `root`

- `set_field()` sets an algebraic number field generated by `root` in rootlist over Q.
- You don't care about the order of `root` in rootlist, because `root` are automatically ordered internally.

    [0] A=newalg(x^2+1);
    (#0)
    [1] B=newalg(x^3+A);
    (#1)
    [2] C=newalg(x^4+B);
    (#1)
    [3] set_field([C,B,A]);
    0

`Reference`
  section `algtodalg`, `dalgtoalg`, `dptodalg`, `dalgtodp`

Go to the first, previous, next, last section, table of contents.